%global install_loc %{_datadir}/eclipse/dropins/m2e-sourcelookup

Name:           eclipse-m2e-sourcelookup
Version:        1.1.0.201401182304
Release:        2%{?dist}
Summary:        M2E Sources Lookup
License:        EPL
URL:            https://github.com/ifedorenko/com.ifedorenko.m2e.sourcelookup
BuildArch:      noarch

Source0:        https://github.com/ifedorenko/com.ifedorenko.m2e.sourcelookup/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        http://www.eclipse.org/legal/epl-v10.html

Patch0:         %{name}-feclipse-maven-plugin.patch

BuildRequires:  maven-local
BuildRequires:  mvn(org.eclipse.tycho:tycho-maven-plugin)
BuildRequires:  mvn(org.eclipse.tycho:tycho-p2-plugin)
BuildRequires:  mvn(org.eclipse.tycho:tycho-packaging-plugin)
BuildRequires:  mvn(org.fedoraproject:feclipse-maven-plugin)
# Extra BR for javaagent (not built with %%mvn_build)
BuildRequires:  mvn(org.apache.maven.plugins:maven-shade-plugin)

BuildRequires:  osgi(org.eclipse.core.expressions)
BuildRequires:  osgi(org.eclipse.core.filesystem)
BuildRequires:  osgi(org.eclipse.core.resources)
BuildRequires:  osgi(org.eclipse.core.runtime)
BuildRequires:  osgi(org.eclipse.debug.core)
BuildRequires:  osgi(org.eclipse.debug.ui)
BuildRequires:  osgi(org.eclipse.equinox.common)
BuildRequires:  osgi(org.eclipse.equinox.registry)
BuildRequires:  osgi(org.eclipse.jdt.core)
BuildRequires:  osgi(org.eclipse.jdt.debug)
BuildRequires:  osgi(org.eclipse.jdt.debug.ui)
BuildRequires:  osgi(org.eclipse.jdt.junit)
BuildRequires:  osgi(org.eclipse.jdt.launching)
BuildRequires:  osgi(org.eclipse.jface)
BuildRequires:  osgi(org.eclipse.m2e.core)
BuildRequires:  osgi(org.eclipse.m2e.core.ui)
BuildRequires:  osgi(org.eclipse.m2e.jdt)
BuildRequires:  osgi(org.eclipse.m2e.launching)
BuildRequires:  osgi(org.eclipse.m2e.maven.runtime)
BuildRequires:  osgi(org.eclipse.pde.core)
BuildRequires:  osgi(org.eclipse.swt)
BuildRequires:  osgi(org.eclipse.ui)
BuildRequires:  osgi(org.eclipse.ui.ide)
BuildRequires:  osgi(org.eclipse.ui.workbench)
BuildRequires:  osgi(org.sonatype.tycho.m2e)
BuildRequires:  osgi(slf4j.api)

%description
Allows Eclipse Java debugger lookup sources of Java classes
dynamically loaded by Maven, such as Maven plugins.  Supports multiple
versions of the same class loaded by the Maven VM.  Sources are looked
up among Eclipse workspace projects or resolved from Maven
repositories as necessary.

%prep
%setup -q -n com.ifedorenko.m2e.sourcelookup-%{version}
%patch0
find -name *.jar -delete
cp -p %{SOURCE1} .

%pom_remove_plugin :tycho-packaging-plugin

# Tests are skipped because of missing dependencies:
# osgi(org.eclipse.m2e.tests.common)
%pom_disable_module com.ifedorenko.m2e.binaryproject.tests

# SLF4J in Fedora uses a different BSN
sed -i s/org.slf4j.api/slf4j.api/ $(find -name *.MF)

%build
# Building m2e-sourcelookup is a two step process.
xmvn -B -o -f com.ifedorenko.m2e.sourcelookup.javaagent/pom.xml package
cp com.ifedorenko.m2e.sourcelookup.javaagent/target/com.ifedorenko.m2e.sourcelookup.javaagent-*-SNAPSHOT.jar \
    com.ifedorenko.m2e.sourcelookup/com.ifedorenko.m2e.sourcelookup.javaagent.jar
%mvn_build -i -j

%install
install -d -m 755 %{buildroot}%{install_loc}
cp -a eclipse %{buildroot}%{install_loc}/

%files
%doc README.md epl-v10.html
%{install_loc}

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0.201401182304-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 24 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.1.0.201401182304-1
- Initial packaging
